﻿using System;
using System.Windows.Forms;

using Steema.TeeChart.Functions;
using Steema.TeeChart.Styles;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 캔들
        /// </summary>
        private Candle candle = new Candle();

        /// <summary>
        /// 라인
        /// </summary>
        private Line line = new Line();

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.candle.Title = "Data";

            AlligatorFunction alligatorFunction = new AlligatorFunction(this.tChart.Chart);

            line.Function   = alligatorFunction;
            line.DataSource = candle;

            this.line.Title = "Alligator";

            this.tChart.Aspect.View3D = false;
            this.tChart.Header.Text   = "Alligator technical indicator";

            this.tChart.Series.Add(candle);
            this.tChart.Series.Add(line);

            this.candle.FillSampleValues(200);

            this.drawRandomButton.Click += drawRandomButton_Click;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 랜덤 그리기 버튼 클릭시 처리하기 - drawRandomButton_Click(sender, e)

        /// <summary>
        /// 랜덤 그리기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void drawRandomButton_Click(object sender, EventArgs e)
        {
            this.candle.FillSampleValues(200);
        }

        #endregion
    }
}